Summary:	A URL extractor/viewer for use with Mutt
Summary(pl.UTF-8):	Program do wyciągania/oglądania URL-i dla Mutta
Name:		urlview
Version:	0.9
Release:	11
License:	GPL
Group:		Applications/Text
Source0:	ftp://ftp.mutt.org/mutt/contrib/%{name}-%{version}.tar.gz
# Source0-md5:	67731f73e69297ffd106b65c8aebb2ab
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-regexp.patch
Patch2:		%{name}-links.patch
Patch3:		%{name}-home_etc.patch
Patch4:		%{name}-linking.patch
Patch5:		%{name}-include.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	ncurses-devel
Requires:	webclient
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
urlview extracts URLs from a given text file, and presents a menu of
URLs to view using a user specified command.

%description -l pl.UTF-8
urlview wyciąga URL-e z podanego pliku tekstowego i pokazuje menu
pozwalające je oglądać podanym poleceniem.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4
%patch5

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install url_handler.sh $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README sample.urlview urlview.sgml
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%changelog
* Sat Dec 05 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/urlview.git;a=log;h=master

* Sat Dec 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 2cdfcab
- ncurses rebuild
- release 11 (by relup.sh)

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 5ecf04f
- release 10

* Thu Feb 03 2011 Jan Palus <jan.palus@gmail.com> 3270b22
- added include and linking patch
- rel 9

* Thu Feb 03 2011 Jan Palus <jan.palus@gmail.com> b7187f5
- fix linking with libtinfo

* Thu Feb 03 2011 Jan Palus <jan.palus@gmail.com> 24cb0f4
- fix quote.h inclusion (fixes segfault on 64bit systems)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 8b6bd6a
- dropped pre-cvs changelog

* Sat May 22 2010 Tomasz Pala <gotar@pld-linux.org> 4a85493
- fixed Group

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 730a1bd
- rel 8

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 89cebfd
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 20876e7
- converted to UTF-8

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 1162f8b
- orphaned, outdated

* Sun Oct 31 2004 Adam Gołębiowski <adamg@pld-linux.org> 07e552e
- added home_etc patch

* Sun Oct 31 2004 Adam Gołębiowski <adamg@pld-linux.org> 100cc90
- new

* Fri Sep 17 2004 Tomasz Pala <gotar@pld-linux.org> e6bae44
- added mozilla and elinks, fixed netscape path

* Fri Sep 17 2004 krolik <krolik@pld-linux.org> d56e87d
- links browser patch

* Fri Sep 17 2004 krolik <krolik@pld-linux.org> 4906a8e
- links browser patch, rel. 7

* Sat Jan 03 2004 Tomasz Pala <gotar@pld-linux.org> 745d1e0
- added regexp patch (fixes URLs terminated with \n),
- switched to ncurses, slang version is useless,
- release 6.

* Sat Jan 03 2004 Tomasz Pala <gotar@pld-linux.org> 9b4774c
- fixed

* Thu Nov 27 2003 speedy <speedy@pld-linux.org> 5abcadf
- release 5

* Tue Aug 26 2003 Tomasz Pala <gotar@pld-linux.org> eb6b2ae
- no // in paths, sort, white space cleaning

